Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007356opensim[REGION] Script Functionspublic2014-10-21 16:102015-04-13 11:06
ReporterMagnuz 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformIntel Core i7OSUbuntuOS Version12.04
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007356: llGetPrimitiveParams returns transparency instead of alpha for PRIM_TEXT
DescriptionllGetPrimitiveParams([PRIM_TEXT]) returns ["text", <r,g,b>, 1-alpha] instead of the expected ["text", <r,g,b>, alpha]. The same goes for llGetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT]). The result is the same whether the text has been set with llSetText, llSetPrimitiveParms, llSetLinkPrimitiveParms or llSetLinkPrimitiveParmsFast.
Steps To ReproduceThe script

default
{
    state_entry()
    {
        llSetText("ABC", <0.8,0.6,0.4>, 0.8);
        llOwnerSay(llList2CSV(["ST+GPP"]+llGetPrimitiveParams([PRIM_TEXT])));
        llOwnerSay(llList2CSV(["ST+GLPP"]+llGetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT])));
        llSetPrimitiveParams([PRIM_TEXT, "ABC", <0.8,0.6,0.4>, 0.8]);
        llOwnerSay(llList2CSV(["SPP+GPP"]+llGetPrimitiveParams([PRIM_TEXT])));
        llOwnerSay(llList2CSV(["SPP+GLPP"]+llGetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT])));
        llSetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT, "ABC", <0.8,0.6,0.4>, 0.8]);
        llOwnerSay(llList2CSV(["SLPP+GPP"]+llGetPrimitiveParams([PRIM_TEXT])));
        llOwnerSay(llList2CSV(["SLPP+GLPP"]+llGetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT])));
        llSetLinkPrimitiveParamsFast(LINK_THIS, [PRIM_TEXT, "ABC", <0.8,0.6,0.4>, 0.8]);
        llOwnerSay(llList2CSV(["SLPPF+GPP"]+llGetPrimitiveParams([PRIM_TEXT])));
        llOwnerSay(llList2CSV(["SLPPF+GLPP"]+llGetLinkPrimitiveParams(LINK_THIS, [PRIM_TEXT])));
        //llSetTimerEvent(1.0);
    }
}

returns

[15:44] Text Test: ST+GPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: ST+GLPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SPP+GPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SPP+GLPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SLPP+GPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SLPP+GLPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SLPPF+GPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
[15:44] Text Test: SLPPF+GLPP, ABC, <0.800000,0.600000,0.400000>, 0.200000
TagsNo tags attached.
Git Revision or version number0.8.0.1
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-Correct-PRIM_TEXT-return-value-from-trans-to-alpha.patch [^] (1,203 bytes) 2015-02-10 14:07 [Show Content]

- Relationships

-  Notes
(0027478)
Magnuz (reporter)
2015-02-10 14:11

Added patch to correct alpha return value for PRIM_TEXT in llGetPrimitiveParams and llGetLinkPrimitiveParams to alpha instead of 1-alpha.
(0027637)
justincc (administrator)
2015-02-27 16:53

Committed as git master 158c3f8. Thanks Magnuz!
(0028000)
Magnuz (reporter)
2015-04-13 11:06

Verified and closing.

- Issue History
Date Modified Username Field Change
2014-10-21 16:10 Magnuz New Issue
2015-02-10 14:07 Magnuz File Added: 0001-Correct-PRIM_TEXT-return-value-from-trans-to-alpha.patch
2015-02-10 14:10 Magnuz Note Added: 0027477
2015-02-10 14:11 Magnuz Note Added: 0027478
2015-02-10 14:11 Magnuz Status new => patch included
2015-02-10 14:11 Magnuz Note Deleted: 0027477
2015-02-27 16:53 justincc Note Added: 0027637
2015-02-27 16:53 justincc Status patch included => resolved
2015-02-27 16:53 justincc Resolution open => fixed
2015-02-27 16:53 justincc Assigned To => justincc
2015-04-13 11:06 Magnuz Note Added: 0028000
2015-04-13 11:06 Magnuz Status resolved => closed
2015-04-13 11:06 Magnuz Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker